Bug 330188 - any email changes trigger high virtuoso-t cpu usage for too long
Summary: any email changes trigger high virtuoso-t cpu usage for too long
Status: RESOLVED FIXED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: Nepomuk Feeder Agents (show other bugs)
Version: 4.11
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 08:54 UTC by Martin Tlustos
Modified: 2014-05-08 15:09 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Tlustos 2014-01-20 08:54:00 UTC
as soon as new mail arrive, or I write a new mail, the akonadi nepomuk feeder kicks in (which is expected). But it takes way too long (one hour? half an hour? two hours? I can't really tell as normally something changes before it's finished, causing it to start from the beginning again). It seems like it reindexes all emails again (it starts with 0% and slowly rises to 100%). All this time virtuoso-t has high cpu (above 50%, often up to 100%).

Reproducible: Always

Steps to Reproduce:
1. Get new mail or write a new mail and send it.
2.
3.
Actual Results:  
akonadi-nepomuk feeder should index the new mail(s) and send the stuff to nepomuk within a few seconds

Expected Results:  
it takes ages.
Comment 1 Daniel Vrátil 2014-01-20 12:33:31 UTC
Probably problem on Nepomuk/Virtuoso side. Nothing much we can do about, but I promise it will be much much better in 4.13 ;-)
Comment 2 Martin Tlustos 2014-01-21 08:14:43 UTC
So filing a bug with nepomuk would be better, right?
Comment 3 Daniel Vrátil 2014-01-21 13:41:26 UTC
You can, but I don't think it will get any attention. Nepomuk and PIM developers are currently working on migrating to a new solution for mail indexing in 4.13, where these problems don't occur.
Comment 4 Martin Tlustos 2014-05-08 15:09:13 UTC
fixed with baloo.